# Generated by go2rpm 1
%bcond_without check
# Checks need a running Docker instance
%bcond_with docker

# https://github.com/ory/dockertest
%global goipath         github.com/ory/dockertest
Version:                3.7.0

%gometa

%global common_description %{expand:
Use Docker to run your Go language integration tests against third party
services.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md SECURITY.md

Name:           %{goname}
Release:        3%{?dist}
Summary:        Support for ephermal Docker images for Go tests

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cenkalti/backoff/v4)
BuildRequires:  golang(github.com/containerd/continuity/pathdriver)
BuildRequires:  golang(github.com/docker/go-connections/nat)
BuildRequires:  golang(github.com/docker/go-units)
BuildRequires:  golang(github.com/moby/term)
BuildRequires:  golang(github.com/Nvveen/Gotty)
BuildRequires:  golang(github.com/opencontainers/image-spec/specs-go/v1)
BuildRequires:  golang(github.com/opencontainers/runc/libcontainer/user)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(golang.org/x/net/context)
BuildRequires:  golang(golang.org/x/sys/unix)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(gotest.tools/v3/assert)
BuildRequires:  golang(gotest.tools/v3/assert/cmp)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
find . -type f -name "*.go" -exec sed -i "s|github.com/cenkalti/backoff/v3|github.com/cenkalti/backoff/v4|" "{}" +;

%install
%gopkginstall

%if %{with check} && %{with docker}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 3.7.0-1
- Update to latest upstream release 3.7.0 (closes rhbz#1963525)

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 18 19:32:06 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 3.6.3-1
- Update to 3.6.3

* Fri Dec 04 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.6.2-1
- Update to latest upstream release 3.6.2

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.6.0-1
- Fix license (#1822469)
- Update to latest upstream release 3.6.0

* Tue Apr 07 2020 Fabian Affolter <mail@fabian-affolter.ch> - 3.5.5-1
- Initial package
